Agents / REST API
Publish sop draft
Publish the exact reviewed SOP draft after explicit user approval. Does not enable Autopilot, change runtime cadence or send messages. Preserve workspace HITL.
POST /api/agents/sopDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
skillNameRequired · string- See the input schema for this field.
expectedDraftCreatedAtRequired · string- Exact pending draft createdAt, null only when no draft exists.
curl -X POST "https://app.pipeline.help/api/agents/sop" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"skillName":"example","expectedDraftCreatedAt":"2026-01-01T00:00:00.000Z"}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"skillName": {
"type": "string"
},
"expectedDraftCreatedAt": {
"type": "string",
"description": "Exact pending draft createdAt, null only when no draft exists."
}
},
"required": [
"skillName",
"expectedDraftCreatedAt"
]
}